Bug 98246 - Install of RHL creates many dangling symlinks
Install of RHL creates many dangling symlinks
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-28 20:38 EDT by Steve Snyder
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-02 12:53:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2003-06-28 20:38:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030530

Description of problem:
I ran "symlynks -tr /" immediately after the intial boot into RHL v9.  The
utility reported many dangling links.

Some background: My goal in installing RHL v9 was to have all of the non-GUI
packages and none of the GUI packages installed.  To this end I selected
Everything in the package selection screen, then manually deselected all the
XFree86, Gnome and KDE packages I could find.  I then let the installer  work
out the dependency conflicts and indicated I did not want to install the
packages with missing dependencies.  Installation continued as usual from there.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Do a complete install, excepting all GUI apps, as described above.
2. After the initial boot, run "symlynks -tr /"


Actual Results:  # symlynks -tr / | grep dangling
dangling: /usr/lib/libSDL_mixer.so -> libSDL_mixer-1.2.so.0.2.2
dangling: /usr/lib/libSDL_net.so -> libSDL_net-1.2.so.0.0.4
dangling: /usr/lib/libSDL_image.so -> libSDL_image-1.2.so.0.1.1
dangling: /usr/lib/librsvg.so -> librsvg.so.1.0.2
dangling: /usr/lib/libgconf-2.so -> libgconf-2.so.4.1.0
dangling: /usr/lib/libglade-2.0.so -> libglade-2.0.so.0.0.1
dangling: /usr/lib/libgnomecanvas-2.so -> libgnomecanvas-2.so.0.200.0
dangling: /usr/lib/libgailutil.so -> libgailutil.so.17.0.0
dangling: /usr/lib/librsvg-2.so -> librsvg-2.so.2.2.3
dangling: /usr/lib/libgimpprint.so -> libgimpprint.so.1.0.4
dangling: /usr/lib/libgnomeprintui-2.so -> libgnomeprintui-2.so.0.0.0
dangling: /usr/lib/libgnomeprintui-2-2.so -> libgnomeprintui-2-2.so.0.0.0
dangling: /usr/lib/libmrproject.so -> libmrproject.so.0.0.0
dangling: /usr/lib/libwnck-1.so -> libwnck-1.so.4.5.0
dangling: /usr/lib/libao.so -> libao.so.2.1.1


Expected Results:  After an install of RHL there should be no dangling symlinks
on the system.


Additional info:
Comment 1 Jeremy Katz 2003-07-02 12:53:19 EDT
This shouldn't be a problem with the new installer code (outside of packaging
problems where a -devel package has a missing dependency, but the installer
can't do much about that).

Note You need to log in before you can comment on or make changes to this bug.